org.apache.cassandra.db

## Class SuperColumns

- java.lang.Object
- - org.apache.cassandra.db.SuperColumns

    public class SuperColumns
    extends java.lang.Object

### Nested Class Summary

Nested Classes
`static class` `SuperColumns.SCFilter`

### Constructor Summary

Constructors
Constructor and Description
`SuperColumns()`

### Method Summary

Methods
`static void` `deserializerSuperColumnFamily(java.io.DataInput in, ColumnFamily cf, ColumnSerializer.Flag flag, int version)`
`static java.nio.ByteBuffer` `endOf(java.nio.ByteBuffer scName)`
`static SuperColumns.SCFilter` `filterToSC(CompositeType type, IDiskAtomFilter filter)`
`static IDiskAtomFilter` `fromSCFilter(CompositeType type, java.nio.ByteBuffer scName, IDiskAtomFilter filter)`
`static IDiskAtomFilter` `fromSCNamesFilter(CompositeType type, java.nio.ByteBuffer scName, NamesQueryFilter filter)`
`static SliceQueryFilter` `fromSCSliceFilter(CompositeType type, java.nio.ByteBuffer scName, SliceQueryFilter filter)`
`static AbstractType<?>` `getComparatorFor(CFMetaData metadata, boolean subColumn)`
`static AbstractType<?>` `getComparatorFor(CFMetaData metadata, java.nio.ByteBuffer superColumn)`
`static SuperColumns.SCFilter` `namesFilterToSC(CompositeType type, NamesQueryFilter filter)`
`static java.util.Iterator<OnDiskAtom>` `onDiskIterator(java.io.DataInput in, int superColumnCount, ColumnSerializer.Flag flag, int expireBefore)`
`static java.nio.ByteBuffer` `scName(java.nio.ByteBuffer columnName)`
`static long` `serializedSize(ColumnFamily scf, TypeSizes typeSizes, int version)`
`static void` `serializeSuperColumnFamily(ColumnFamily scf, java.io.DataOutput out, int version)`
`static SuperColumns.SCFilter` `sliceFilterToSC(CompositeType type, SliceQueryFilter filter)`
`static java.nio.ByteBuffer` `startOf(java.nio.ByteBuffer scName)`
`static java.nio.ByteBuffer` `subName(java.nio.ByteBuffer columnName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SuperColumns

    public SuperColumns()

### Method Detail

#### onDiskIterator

    public static java.util.Iterator<OnDiskAtom> onDiskIterator(java.io.DataInput in,
                                                int superColumnCount,
                                                ColumnSerializer.Flag flag,
                                                int expireBefore)

#### serializeSuperColumnFamily

    public static void serializeSuperColumnFamily(ColumnFamily scf,
                                  java.io.DataOutput out,
                                  int version)
                                           throws java.io.IOException

Throws:
  `java.io.IOException`

#### deserializerSuperColumnFamily

    public static void deserializerSuperColumnFamily(java.io.DataInput in,
                                     ColumnFamily cf,
                                     ColumnSerializer.Flag flag,
                                     int version)
                                              throws java.io.IOException

Throws:
  `java.io.IOException`

#### serializedSize

    public static long serializedSize(ColumnFamily scf,
                      TypeSizes typeSizes,
                      int version)

#### getComparatorFor

    public static AbstractType<?> getComparatorFor(CFMetaData metadata,
                                   java.nio.ByteBuffer superColumn)

#### getComparatorFor

    public static AbstractType<?> getComparatorFor(CFMetaData metadata,
                                   boolean subColumn)

#### scName

    public static java.nio.ByteBuffer scName(java.nio.ByteBuffer columnName)

#### subName

    public static java.nio.ByteBuffer subName(java.nio.ByteBuffer columnName)

#### startOf

    public static java.nio.ByteBuffer startOf(java.nio.ByteBuffer scName)

#### endOf

    public static java.nio.ByteBuffer endOf(java.nio.ByteBuffer scName)

#### filterToSC

    public static SuperColumns.SCFilter filterToSC(CompositeType type,
                                   IDiskAtomFilter filter)

#### namesFilterToSC

    public static SuperColumns.SCFilter namesFilterToSC(CompositeType type,
                                        NamesQueryFilter filter)

#### sliceFilterToSC

    public static SuperColumns.SCFilter sliceFilterToSC(CompositeType type,
                                        SliceQueryFilter filter)

#### fromSCFilter

    public static IDiskAtomFilter fromSCFilter(CompositeType type,
                               java.nio.ByteBuffer scName,
                               IDiskAtomFilter filter)

#### fromSCNamesFilter

    public static IDiskAtomFilter fromSCNamesFilter(CompositeType type,
                                    java.nio.ByteBuffer scName,
                                    NamesQueryFilter filter)

#### fromSCSliceFilter

    public static SliceQueryFilter fromSCSliceFilter(CompositeType type,
                                     java.nio.ByteBuffer scName,
                                     SliceQueryFilter filter)